Skip to main content
POST
/
opportunities
/
upsert
Upsert Opportunity
curl --request POST \
  --url https://services.leadconnectorhq.com/opportunities/upsert \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Version: <version>' \
  --data '
{
  "pipelineId": "bCkKGpDsyPP4peuKowkG",
  "locationId": "CLu7BaljjqrEjBGKTNNe",
  "followers": "LiKJ2vnRg5ETM8Z19K7",
  "isRemoveAllFollowers": true,
  "followersActionType": "add",
  "id": "yWQobCRIhRguQtD2llvk",
  "name": "opportunity name",
  "status": "open",
  "pipelineStageId": "7915dedc-8f18-44d5-8bc3-77c04e994a10",
  "monetaryValue": 220,
  "assignedTo": "082goXVW3lIExEQPOnd3",
  "lostReasonId": "CLu7BaljjqrEjBGKTNNe"
}
'
{
  "opportunity": {},
  "new": true
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Body

application/json
pipelineId
string
required

pipeline Id

Example:

"bCkKGpDsyPP4peuKowkG"

locationId
string
required

locationId

Example:

"CLu7BaljjqrEjBGKTNNe"

followers
string[]
required

contactId

Example:

"LiKJ2vnRg5ETM8Z19K7"

isRemoveAllFollowers
boolean
required

isRemoveAllFollowers

Example:

true

followersActionType
enum<string>
required

followers action type

Available options:
add,
remove
Example:

"add"

id
string

opportunityId

Example:

"yWQobCRIhRguQtD2llvk"

name
string

name

Example:

"opportunity name"

status
enum<string>
Available options:
open,
won,
lost,
abandoned,
all
pipelineStageId
string
Example:

"7915dedc-8f18-44d5-8bc3-77c04e994a10"

monetaryValue
number
Example:

220

assignedTo
string
Example:

"082goXVW3lIExEQPOnd3"

lostReasonId
string

lost reason Id

Example:

"CLu7BaljjqrEjBGKTNNe"

Response

Successful response

opportunity
object
required

Updated / New Opportunity

new
boolean
required
Example:

true

Last modified on March 4, 2026